#!/bin/sh
# create the Default.ini

echo "[URL]
Protocol=devastation
ProtocolDescription=Devastation Protocol
Name=Player
Map=Index.dvs
LocalMap=Entry.dvs
Host=
Portal=
MapExt=dvs
SaveExt=dsc
EXEName=devastation.exe
Port=7777
Class=DTerritories.DTerrPlayerPawn

[FirstRun]
FirstRun=3069

[Engine.Engine]
;RenderDevice=D3DDrv.D3DRenderDevice
RenderDevice=OpenGLDrv.OpenGLRenderDevice
;RenderDevice=Engine.NullRenderDevice
AudioDevice=ALAudio.ALAudioSubsystem
;AudioDevice=XboxAudio.XboxAudioSubsystem
NetworkDevice=IpDrv.TcpNetDriver
DemoRecordingDevice=Engine.DemoRecDriver
Console=DInterface.DInterfaceConsole
Language=$*
GameEngine=Engine.GameEngine
EditorEngine=Editor.EditorEngine
DefaultGame=DTerritories.DTerrGameInfo
DefaultServerGame=DTerritories.DTerrGameInfo
ViewportManager=SDLDrv.SDLClient
;ViewportManager=WinDrv.WindowsClient
;ViewportManager=XboxDrv.XboxClient
Render=Render.Render
Input=Engine.Input
Canvas=Engine.Canvas

[Core.System]
PurgeCacheDays=30
LicenseeMode=1
SavePath=../Save
ScreenPath=..\Screens
CachePath=..\Cache
LangPath=..\Lang
CacheExt=.uxx
Paths=..\System\*.u
Paths=..\Maps\*.dvs
Paths=..\TestMaps\*.dvs
Paths=..\Textures\*.utx
Paths=..\Sounds\*.uax
Paths=..\Music\*.umx
Paths=..\StaticMeshes\*.usx
Paths=..\Animations\*.ukx
Paths=../Save/*.dsg
Suppress=DevLoad
Suppress=DevSave
Suppress=DevNetTraffic
Suppress=DevGarbage
Suppress=DevKill
Suppress=DevReplace
Suppress=DevCompile
Suppress=DevBind
Suppress=DevBsp
Suppress=DevKarma
Suppress=DevScriptTime
Suppress=DevSound
Suppress=DevMusic
Suppress=DevScriptPrecache
Suppress=DevInterface
Suppress=GameLog
Suppress=Interact
Suppress=Triggers
Suppress=WindowHUD
Suppress=SHOP
Suppress=PlayerMovement
Suppress=Droid

[Engine.GameEngine]
CacheSizeMegs=32
UseSound=True
UseStaticMeshBatching=True
MeshLOD3D=0.0
ServerActors=IpDrv.UdpBeacon
;ServerActors=UWeb.WebServer
ServerActors=IpDrv.MasterServerUplink MasterServerAddress=devserver.arushgames.com MasterServerPort=27900
ServerActors=IpDrv.UdpGamespyQuery
ServerActors=IpDrv.UdpGamespyUplink MasterServerAddress=master.gamespy.com MasterServerPort=27900
ServerActors=IpDrv.ASEUplink
ServerPackages=DCore
ServerPackages=DChars
ServerPackages=DSkeleton
ServerPackages=DGamePlay
ServerPackages=DInventory
ServerPackages=DBrain

[UWeb.WebServer]
Applications[0]=DServerAdmin.DServerAdmin
ApplicationPaths[0]=/ServerAdmin
DefaultApplication=0
bEnabled=false

[WinDrv.WindowsClient]
WindowedViewportX=1024
WindowedViewportY=768
FullscreenViewportX=1024
FullscreenViewportY=768
TextureDetailInterface=Higher
TextureDetailTerrain=Higher
TextureDetailWeaponSkin=Higher
TextureDetailPlayerSkin=Higher
TextureDetailWorld=Higher
TextureDetailRenderMap=Higher
TextureDetailLightmap=Higher
Brightness=0.5
Contrast=0.4
Gamma=1.0
UseJoystick=False
CaptureMouse=True
StartupFullscreen=True
ScreenFlashes=True
NoLighting=False
DeadZoneXYZ=True
DeadZoneRUV=False
InvertVertical=False
ScaleXYZ=1000.000000
ScaleRUV=2000.000000
MinDesiredFrameRate=30.000000
Decals=True
Coronas=True
DecoLayers=True
Projectors=True
ProjectorLifetime=2.0
NoDynamicLights=False
ReportDynamicUploads=False
NoFractalAnim=False
UseAnisotropicFOV=False
MultFOVX=1.0
MultFOVY=1.333333333
ScaleFOVX=1.0
ScaleFOVY=1.0
LowDetailShadows=False

[SDLDrv.SDLClient]
WindowedViewportX=800
WindowedViewportY=600
FullscreenViewportX=800
FullscreenViewportY=600
MenuViewportX=800
MenuViewportY=600
Brightness=0.800000
Contrast=0.700000
Gamma=0.800000
UseJoystick=False
JoystickNumber=0
IgnoreHat=False
JoystickHatNumber=0
CaptureMouse=True
StartupFullscreen=True
ScreenFlashes=True
NoLighting=False
MinDesiredFrameRate=35.000000
Decals=True
Coronas=True
DecoLayers=True
Projectors=True
NoDynamicLights=False
ReportDynamicUploads=False
TextureDetailInterface=Normal
TextureDetailTerrain=Normal
TextureDetailWeaponSkin=Normal
TextureDetailPlayerSkin=Normal
TextureDetailWorld=Normal
TextureDetailRenderMap=Normal
TextureDetailLightmap=UltraHigh
TextureMaxLOD=0
TextureMinLOD=0
NoFractalAnim=False
AllowUnicodeKeys=False
ScaleJBY=0.000000
ScaleJBX=0.000000
LowDetailShadows=False
ReduceMouseLag=False
ScaleHUDX=0.000000
ScaleFOVY=0.000000
ScaleFOVX=0.000000
MultFOVY=0.000000
MultFOVX=0.000000
UseAnisotropicFOV=False
ProjectorLifetime=0.100000

[OpenGLDrv.OpenGLRenderDevice]
DetailTextures=True
HighDetailActors=True
SuperHighDetailActors=True
UsePrecaching=True
UseCompressedLightmaps=True
UseTrilinear=True
UseStencil=False
MaxTextureUnits=8
VARSize=32
ReduceMouseLag=False
AppleVA=1
DetailTextures=True
HighDetailActors=True
SuperHighDetailActors=True
UsePrecaching=True
UseCompressedLightmaps=True
UseTrilinear=True
UseStencil=False
MaxTextureUnits=8
VARSize=32
ReduceMouseLag=False

[Engine.Player]
ConfiguredInternetSpeed=2600
ConfiguredLanSpeed=20000

[ALAudio.ALAudioSubsystem]
UseEAX=False
Use3DSound=False
UseDefaultDriver=True
CompatibilityMode=False
UsePrecache=True
ReverseStereo=false
Channels=32
MusicVolume=0.100000
AmbientVolume=1.000000
SoundVolume=1.000000
DopplerFactor=1.000000
Rolloff=2.000000
TimeBetweenHWUpdates=15.000000
UseLowQualitySound=False
UseCustomMusic=False
DisablePitch=False

[IpDrv.TcpNetDriver]
AllowDownloads=True
ConnectionTimeout=120.0
InitialConnectTimeout=200.0
AckTimeout=1.0
KeepAliveTime=0.2
MaxClientRate=20000
SimLatency=0
RelevantTimeout=5.0
SpawnPrioritySeconds=1.0
ServerTravelPause=4.0
NetServerMaxTickRate=20
LanServerMaxTickRate=35
DownloadManagers=IpDrv.HTTPDownload
DownloadManagers=Engine.ChannelDownload
MaxConnPerIPPerMinute=5
LogMaxConnPerIPPerMin=false
AllowPlayerPortUnreach=false
LogPortUnreach=false

[IpDrv.HTTPDownload]
RedirectToURL=
ProxyServerHost=
ProxyServerPort=3128
UseCompression=True

[Engine.DemoRecDriver]
DemoSpectatorClass=Botpack.CHSpectator
MaxClientRate=25000
ConnectionTimeout=15.0
InitialConnectTimeout=500.0
AckTimeout=1.0
KeepAliveTime=1.0
SimLatency=0
RelevantTimeout=5.0
SpawnPrioritySeconds=1.0
ServerTravelPause=4.0
NetServerMaxTickRate=60
LanServerMaxTickRate=60

[Engine.GameReplicationInfo]
ServerName=Another Devastation Server
ShortName=Devastation Server
AdminName=
AdminEmail=
Region=0
MOTDLine1=
MOTDLine2=
MOTDLine3=
MOTDLine4=

[DTerritories.DCTFGRI]
MaxFlagCaptures=8

[IpDrv.TcpipConnection]
SimPacketLoss=0
SimLatency=0

[IpServer.UdpServerQuery]
GameName=devastation

[IpDrv.UdpBeacon]
DoBeacon=True
BeaconTime=0.50
BeaconTimeout=5.0

[XboxDrv.XboxClient]
TextureDetail=Medium
SkinDetail=Medium
LightmapDetail=High
Brightness=0.8
Contrast=0.7
Gamma=0.8
NoFractalAnim=True

[XBoxAudio.XBoxAudioSubsystem]
ReverseStereo=False
Channels=32
MusicVolume=1.0
SoundVolume=1.0
AmbientFactor=1.0
UsePrecache=True

[D3DDrv.D3DRenderDevice]
DetailTextures=True
HighDetailActors=True
SuperHighDetailActors=True
UsePrecaching=True
UseTrilinear=True
AdapterNumber=-1
ReduceMouseLag=True
UseTripleBuffering=True
UseHardwareTL=True
UseHardwareVS=True
UseCubemaps=True
DesiredRefreshRate=60
UseCompressedLightmaps=True
UseStencil=False
Use16bit=False
Use16bitTextures=False
MaxPixelShaderVersion=255
UseVSync=False
LevelOfAnisotropy=1
DetailTexMipBias=0.8
DefaultTexMipBias=-0.5
UseNPatches=False
TesselationFactor=1.0
CheckForOverflow=False
AvoidHitches=False
OverrideDesktopRefreshRate=False

[Engine.NullRenderDevice]
DetailTextures=True
HighDetailActors=True
SuperHighDetailActors=True
UsePrecaching=True
UseCompressedLightmaps=True
UseStencil=False

[Editor.EditorEngine]
UseSound=True
CacheSizeMegs=32
GridEnabled=True
SnapVertices=False
SnapDistance=10.000000
GridSize=(X=16.000000,Y=16.000000,Z=16.000000)
RotGridEnabled=True
RotGridSize=(Pitch=1024,Yaw=1024,Roll=1024)
GameCommandLine=-log -nologos
FovAngleDegrees=90.000000
GodMode=True
AutoSave=True
AutoSaveTimeMinutes=5
AutoSaveIndex=6
UseAxisIndicator=True
MatineeCurveDetail=0.1
LoadEntirePackageWhenSaving=0
OrthoMeshReject=0.400000
MeshLOD3D=0.600000
OrthoBrushReject=0.400000
OrthoMeshLOD=0.600000
EditPackages=Core
EditPackages=Engine
EditPackages=Fire
EditPackages=Editor
EditPackages=IpDrv
EditPackages=UWindow
EditPackages=DevEd
EditPackages=DDecEffectMeshes
EditPackages=DGibMeshes
EditPackages=DCore
EditPackages=DMessages
EditPackages=DDebug
EditPackages=DSkeleton
EditPackages=DEffects
EditPackages=DDecorations
EditPackages=DDecorationsB
EditPackages=DDecorationsC
EditPackages=DMapComps
EditPackages=DGamePlay
EditPackages=DChars
;EditPackages=DWMeshes
EditPackages=DInventory
EditPackages=DTerritories
EditPackages=DHUDWindows
EditPackages=DInterface
EditPackages=DVoice
EditPackages=DBrain
EditPackages=DCharActions

[UDebugger.Packages]
DbgPackages=Core
DbgPackages=Engine
DbgPackages=Fire
DbgPackages=Editor
DbgPackages=IpDrv
DbgPackages=UWindow
DbgPackages=DCore
DbgPackages=DEffects
DbgPackages=DMapComps
DbgPackages=DGamePlay
DbgPackages=DChars
DbgPackages=DTerritories
DbgPackages=DHUDWindows
DbgPackages=DInterface
DbgPackages=DBrain
DbgPackages=DCharActions

[DevEd.DevEdEngine]
AutoSaveIndex=3
GridEnabled=True
SnapVertices=False
SnapDistance=10.000000
GridSize=(X=16.000000,Y=16.000000,Z=16.000000)
RotGridEnabled=True
RotGridSize=(Pitch=1024,Yaw=1024,Roll=1024)
UseSizingBox=False
UseAxisIndicator=True
FovAngleDegrees=90.000000
GodMode=True
AutoSave=True
AutosaveTimeMinutes=5
GameCommandLine=-log -nologos
AlwaysShowTerrain=False
UseActorRotationGizmo=False
LoadEntirePackageWhenSaving=False
AudioDevice=None
Console=Class'Engine.Console'
DefaultMenu=None
DefaultPlayerMenu=None
NetworkDevice=None
CacheSizeMegs=32
UseSound=True
C_WorldBox=(B=107,G=0,R=0,A=255)
C_GroundPlane=(B=63,G=0,R=0,A=255)
C_GroundHighlight=(B=127,G=0,R=0,A=255)
C_BrushWire=(B=63,G=63,R=255,A=255)
C_Pivot=(B=0,G=255,R=0,A=255)
C_Select=(B=127,G=0,R=0,A=255)
C_Current=(B=0,G=0,R=0,A=255)
C_AddWire=(B=255,G=127,R=127,A=255)
C_SubtractWire=(B=63,G=192,R=255,A=255)
C_GreyWire=(B=163,G=163,R=163,A=255)
C_BrushVertex=(B=0,G=0,R=0,A=255)
C_BrushSnap=(B=0,G=0,R=0,A=255)
C_Invalid=(B=163,G=163,R=163,A=255)
C_ActorWire=(B=0,G=63,R=127,A=255)
C_ActorHiWire=(B=0,G=127,R=255,A=255)
C_Black=(B=0,G=0,R=0,A=255)
C_White=(B=255,G=255,R=255,A=255)
C_Mask=(B=0,G=0,R=0,A=255)
C_SemiSolidWire=(B=0,G=255,R=127,A=255)
C_NonSolidWire=(B=32,G=192,R=63,A=255)
C_WireBackground=(B=0,G=0,R=0,A=255)
C_WireGridAxis=(B=119,G=119,R=119,A=255)
C_ActorArrow=(B=0,G=0,R=163,A=255)
C_ScaleBox=(B=11,G=67,R=151,A=255)
C_ScaleBoxHi=(B=157,G=149,R=223,A=255)
C_ZoneWire=(B=0,G=0,R=0,A=255)
C_Mover=(B=255,G=0,R=255,A=255)
C_OrthoBackground=(B=163,G=163,R=163,A=255)
C_StaticMesh=(B=255,G=255,R=0,A=255)
C_VolumeBrush=(B=225,G=196,R=255,A=255)
C_ConstraintLine=(B=0,G=255,R=0,A=255)
C_AnimMesh=(B=28,G=221,R=221,A=255)
C_TerrainWire=(B=255,G=255,R=255,A=255)
OrthoBrushReject=0.400000
OrthoMeshLOD=0.600000
OrthoMeshReject=0.400000
MeshLOD3D=0.600000
EditPackages=Core
EditPackages=Engine
EditPackages=Fire
EditPackages=Editor
EditPackages=UWindow
EditPackages=DevEd
EditPackages=DDecorations
EditPackages=DDecorationsB

[DTerritories.DTerrGameInfo]
bNoMonsters=False
bHumansOnly=False
bCoopWeaponMode=False
bClassicDeathMessages=False
DegradeAmount=0
bDegradeDNA=False
bNoTeamChanges=False
FriendlyFireScale=0.000000
MaxTeams=2
GoalTeamScore=30.000000
MaxTeamSize=16
FragLimit=6
TimeLimit=30
RoundTimeLimit=600
SuddenDeathSeconds=120
RoundLimit=6
bMultiWeaponStay=False
bForceRespawn=False
bDumbDown=False
bAlwaysForceRespawn=False
MaxCommanders=0
bNoMonsters=True
bHumansOnly=False
bClassicDeathMessages=False
bComments=False

[DTerritories.DTerrSpawnCenter]
DefaultDelay=6.0

[UWindow.WindowConsole]
ConsoleKey=192

[Engine.StatLog]
LocalBatcherURL=../NetGamesUSA.com/ngStats/ngStatsUT.exe
LocalBatcherParams=
LocalStatsURL=../NetGamesUSA.com/ngStats/html/ngStats_Main.html
WorldBatcherURL=../NetGamesUSA.com/ngWorldStats/bin/ngWorldStats.exe
WorldBatcherParams=-d ../NetGamesUSA.com/ngWorldStats/logs -g UT
WorldStatsURL=http://www.netgamesusa.com
LocalLogDir=../Logs
WorldLogDir=../NetGamesUSA.com/ngWorldStats/logs
bWorldBatcherError=False

[DInterface.DInterfaceRootWindow]
GUIScale=1.000000
LookAndFeelClass=DInterface.DLookAndFeel

[DGamePlay.DBot]
bVerbose=False

[Engine.Pawn]
bNeverSwitchOnPickup=False

[Engine.LevelInfo]
PhysicsDetailLevel=PDL_Medium
bLowRes=False
bCapFramerate=False

[DGamePlay.DStreetWarGameInfo]
bDumbDown=True
bNoTeamChanges=False
FriendlyFireScale=0.000000
MaxTeams=2
GoalTeamScore=100.000000
MaxTeamSize=16
FragLimit=15
TimeLimit=20
bMultiWeaponStay=True
bForceRespawn=False
bUseTranslocator=True
bNoMonsters=True
bHumansOnly=False
bCoopWeaponMode=True
bClassicDeathMessages=False
bComments=False

[DTerritories.DCTFGameInfo]
bNoTeamChanges=False
FriendlyFireScale=0.000000
MaxTeams=2
GoalTeamScore=100.000000
MaxTeamSize=16
FragLimit=8
TimeLimit=20
bMultiWeaponStay=True
bForceRespawn=False
bNoMonsters=True
bHumansOnly=False
bCoopWeaponMode=True
bClassicDeathMessages=False
bComments=False

[DCore.DGameInfo]
bDumbDown=True
bNoTeamChanges=False
FriendlyFireScale=0.000000
MaxTeams=2
GoalTeamScore=100.000000
MaxTeamSize=16
FragLimit=30
TimeLimit=0
bMultiWeaponStay=True
bForceRespawn=False
bNoMonsters=True
bHumansOnly=False
bCoopWeaponMode=True
bClassicDeathMessages=False
InitialBots=0
bComments=False
InitialCash=500

[DCore.DSpawnCenter]
DefaultCharacter=DChars.DGus

[DGamePlay.DDebugGameInfo]
bComments=False

[DTerritories.DSPGameInfo]
Difficulty=0
FragLimit=999
TimeLimit=999
bComments=False
bNoMonsters=True
bHumansOnly=False
bCoopWeaponMode=False
bClassicDeathMessages=False
bAllowSubTitles=False
bTourist=False

[Engine.GameInfo]
AdminPassword=
GamePassword=
bLowGore=False
bVeryLowGore=False

[DGamePlay.DSWMapList]
GameMode=0
" > $SETUP_INSTALLPATH/System/Default.ini
